#Build React app
FROM node:14.4.0-alpine3.12 as build

WORKDIR /app

COPY package.json ./
COPY package-lock.json ./

RUN npm install

COPY . ./

ARG REACT_APP_API_URL=''
ENV REACT_APP_API_URL=$REACT_APP_API_URL

ARG REACT_APP_BASENAME=''
ENV REACT_APP_BASENAME=$REACT_APP_BASENAME

RUN npm run build


FROM nginx:1.19.2-alpine
ENV PORT 80

COPY --from=build /app/build /usr/share/nginx/html
COPY nginx /nginx-container-data

RUN chmod +x /nginx-container-data/entrypoint.sh

ENTRYPOINT ["/nginx-container-data/entrypoint.sh"]